[Unstable Update x32] 2018-01-06 to ... - Kernels, MASSIVE upstream update (Python, Ruby, Haskell, KDE, Qt5, ...)

LibreOffice Writer (Still and Fresh) won't launch with Java enabled. This is a long-standing LibreOffice issue and is annoying.

Is there a way to change the default to disable Java use? It's a poor OOB experience if your word processor doesn't work by default.


Edit: snapped the full, massive, list over to testing. Most things appear to work fine, and there are a number of fixes that should make for a good installer image rebuild.

After this update none of my qt5 apps will run (including Manjaro Settings manager). I'm getting "error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory"

But there is a symlink called libQt5Core.so.5 linking to libQt5Core.so.5.10.0

2 Likes

Most likely related to QT v5.10 rebuild.

Hmm... MSM is starting OK for me in a freshly-installed (17.1.1-rc1) Xfce VM and on my test hardware (EeePC901, migrated from mainline Manjaro).

What do you get from a ldd /usr/bin/manjaro-settings-manager | grep Qt5 ?

There's another person with this issue, not sure if that's stable or x32-stable... VirtualBox error: cannot open shared object file libQt5Core.so.5

I found this similar error, which is apparently kernel-related (though I'm using kernel 3.16, which should work): https://bbs.archlinux.org/viewtopic.php?id=232682

ldd /usr/bin/manjaro-settings-manager | grep Qt5
libQt5Core.so.5 => not found

(three other qt5 libraries found)

p.s. I did try reinstalling qt5-base with no change

Could you try 4.9 and/or 4.14 to verify it's not a kernel issue? I don't know why it would be, but...

I've tested 4.9 and 4.14 in the VM, and 4.14 on the hardware.

Hmm... trying to build calamares in my build container also hits the same issue...

[ 18%] Generating ui_DebugWindow.h
/usr/bin/uic: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
make[2]: *** [src/libcalamaresui/CMakeFiles/calamaresui.dir/build.make:62: src/libcalamaresui/ui_DebugWindow.h] Error 127

The host is running kernel 3.13 (Ubuntu 14.04) so maybe that's related? Let me try building on a 16.04 box (running 4.14).

That Arch thread said:

You problem is indeed the old kernel. Qt 5.10 uses the renameat2 system call which is only available since kernel 3.15

I'm trying a newer kernel now...

v3.16 series should be fine as it supports rename2.

Calamares builds fine on my 16.04 box - looks kernel-related.

Yeah, but unfortunately 3.16 doesn't work. Kernel 4.4 works fine; no libQt5Core errors.

Too bad, because the touchpad on this old laptop doesn't work with the newer kernels.

1 Like

Ok, maybe then linux316 can be dropped for given reasons ...

I also wonder if it's related to Spectre fixes; 3.16 hasn't had any patches, whereas 4.4, 4.9, and 4.14 all have.

If Greg K-H says it's time to drop anything earlier than 4.4, maybe...

:sob:

1 Like

v3.2 just got updated in regard of KPTI. v3.16 will also get patched. Greg might adopt those patches to v3.18 also, which he still maintains ...

1 Like

dmenu-manjaro 4.7-2 fixed the issue introduced with 4.7-1

Thanks @oberon [edit] and or @Chrysostomus whoever of you both fixed that! [Edit2] And most of all @jonathon for the actual fix which seems to be based on geometry.

Also to the person who updated the patches to be compatible with 4.7. :wink:

2 Likes

Thanks @jonathon, it was a great help for you to do! :smiley:
I have a few dozen scripts in the repos depending on the functionality provided by those patches.

@eugen-b: would be better to check the upstream sources: f864cef8 and 1cb61f17

1 Like

About to be snapped to x32-testing:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux414            4.14.12-3          4.14.12-3.2
                    linux414-headers            4.14.12-3          4.14.12-3.2
                             linux49             4.9.75-1           4.9.75-1.0
                     linux49-headers             4.9.75-1           4.9.75-1.0
                     manjaro-release             17.1.0-1             17.1.1-1
                      manjaro-system           20171231-2         20180107-2.0
                         mhwd-amdgpu              1.2.0-2              1.2.1-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          cryptsetup            2.0.0-2.0            2.0.0-5.0
                            xfsprogs           4.13.1-1.0           4.14.0-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           calamares            3.1.11-10             3.1.12-2
                  linux414-acpi_call             1.1.0-11             1.1.0-12
                   linux414-bbswitch               0.8-11               0.8-12
                linux414-broadcom-wl      6.30.223.271-11      6.30.223.271-12
                   linux414-catalyst     1:15.201.1151-11     1:15.201.1151-12
                     linux414-nvidia          1:384.111-1          1:384.111-2
               linux414-nvidia-304xx         1:304.137-11         1:304.137-12
               linux414-nvidia-340xx           340.104-11           340.104-12
                      linux414-r8168          8.044.02-11          8.044.02-12
                  linux414-rt3562sta        2.4.1.1_r4-11        2.4.1.1_r4-12
                        linux414-spl           0.7.5-1.11              0.7.5-2
                   linux414-tp_smapi              0.41-11              0.41-12
                linux414-vhba-module          20161009-11          20161009-12
   linux414-virtualbox-guest-modules              5.2.4-4              5.2.4-5
    linux414-virtualbox-host-modules              5.2.4-4              5.2.4-5
                        linux414-zfs           0.7.5-1.11              0.7.5-2
                         mhwd-nvidia          1:384.111-1          1:384.111-2
                  nvidia-340xx-utils            340.104-1            340.104-2
                        nvidia-utils          1:384.111-1          1:384.111-2
                       opencl-nvidia          1:384.111-1          1:384.111-2
                 opencl-nvidia-340xx            340.104-1            340.104-2
                   mhwd-nvidia-340xx                    -            340.104-2


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               cmake           3.10.1-1.0           3.10.1-2.0
                         mono-addins                1.1-1            1.3.3-1.0

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                 amdgpu-experimental           20171017-1           20171130-1
                          artwork-i3           20171125-1           20180108-1
                   command-not-found              0.6.1-2              0.6.2-1
              manjaro-bspwm-settings           20180105-1           20180107-1
             manjaro-budgie-settings           20180105-1           20180107-1
                 manjaro-i3-settings           20180105-1           20180108-1
                manjaro-jwm-settings           20180105-1           20180107-1
               manjaro-lxde-settings           20180105-1           20180107-1
               manjaro-mate-settings           20180105-1           20180107-1
         mhwd-db-amdgpu-experimental           20171017-1           20171130-1
                           morc_menu                1.0-1                1.0-2
                                 pix              1.6.1-1              1.6.2-1
                               snapd             2.27.6-1               2.30-1
                             xplayer              1.6.0-1              1.6.1-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      kea-devel-docs              1.3.0-1            1.3.0-2.0
                           perl-tidy           20170521-1         20171214-1.0
                            udftools                1.3-2              2.0-2.0
1 Like

Snapped to testing:

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              octopi             0.8.10-2             0.8.10-3
                 octopi-cachecleaner             0.8.10-2             0.8.10-3
          octopi-notifier-frameworks             0.8.10-2             0.8.10-3
                 octopi-notifier-qt5             0.8.10-2             0.8.10-3
                 octopi-pacmanhelper             0.8.10-2             0.8.10-3
                   octopi-repoeditor             0.8.10-2             0.8.10-3
                         vlc-nightly     3.0.0v20171227-1     3.0.0v20180106-1
                   vlc-nightly-debug     3.0.0v20171227-1     3.0.0v20180106-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                       calamares-git3.2.0.r4263.587c8b82a-13.2.0.r4279.c857568b7-2
            manjaro-documentation-fr           20171128-1           20171227-1

This should be the last before a new stable snap.

Except this one:

:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             caprine              2.7.1-1            2.9.0-1.0


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                   archlinux-keyring         20171213-1.0         20180108-1.0
                                zstd            1.3.2-1.1            1.3.3-1.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              libabw              0.1.1-2            0.1.2-1.0
                           libe-book              0.1.2-8            0.1.3-1.0
                            libmspub              0.1.2-8            0.1.3-1.0
                              libqxp              0.0.0-2            0.0.1-1.0

This topic was automatically closed after 47 hours. New replies are no longer allowed.

Forum kindly sponsored by